\name{vignette}
\alias{vignette}
\alias{match.vigNames}
\alias{pkgFileList-class}
\alias{pkgFileList}
\title{Vignettes}
\description{
Retrieves information about the vignettes from either all packages or a set of specific packages.
}
\usage{
vignette(package=.packages(all.available=TRUE), libs, filter,
         vigDescFun=baseVigDesc, vigPath="/doc")
}
\arguments{
  \item{package}{A name or character vector giving the packages to look
    into for vignettes.  By default, all packages in the search path are
    used.}
  \item{libs}{A character vector of directory names representing R
    libraries.  If provided these directories will be where the system
    searches for packages, otherwise .libPaths() is used.}
  \item{filter}{Allows for filtering of vignettes from display}
  \item{vigDescFun}{Function to provide output string for display}
  \item{vigPath}{Directory path in a package directory for vignettes}
}
\details{
  This function will look at a set of packages and extract information
  from any vignettes that are available.  It will then return a
  \code{pkgFileList} object describing these vignettes.
}
\author{Jeff Gentry}
\seealso{\code{\link{openVignette}}, \code{\link{vExplorer}}}
\examples{
   vignette()
}
\keyword{utilities}
